CVE Vulnerabilities

CVE-2004-0608

Published: Dec 06, 2004 | Modified: Jul 11, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
10 HIGH
AV:N/AC:L/Au:N/C:C/I:C/A:C
RedHat/V2
RedHat/V3
Ubuntu

The Unreal Engine, as used in DeusEx 1.112fm and earlier, Devastation 390 and earlier, Mobile Forces 20000 and earlier, Nerf Arena Blast 1.2 and earlier, Postal 2 1337 and earlier, Rune 107 and earlier, Tactical Ops 3.4.0 and earlier, Unreal 1 226f and earlier, Unreal II XMP 7710 and earlier, Unreal Tournament 451b and earlier, Unreal Tournament 2003 2225 and earlier, Unreal Tournament 2004 before 3236, Wheel of Time 333b and earlier, and X-com Enforcer, allows remote attackers to execute arbitrary code via a UDP packet containing a secure query with a long value, which overwrites memory.

Affected Software

Name Vendor Start Version End Version
Devastation Arush 390.0 390.0
Tnn_outdoors_pro_hunter Dreamforge * *
Unreal_engine Epic_games 226f 226f
Unreal_engine Epic_games 433 433
Unreal_engine Epic_games 436 436
Unreal_tournament Epic_games 451b 451b
Unreal_tournament_2003 Epic_games 2199_linux 2199_linux
Unreal_tournament_2003 Epic_games 2199_macos 2199_macos
Unreal_tournament_2003 Epic_games 2199_win32 2199_win32
Unreal_tournament_2003 Epic_games 2225_macos 2225_macos
Unreal_tournament_2003 Epic_games 2225_win32 2225_win32
Unreal_tournament_2004 Epic_games macos macos
Unreal_tournament_2004 Epic_games win32 win32
Tacticalops Infogrames 3.4 3.4
X-com_enforcer Infogrames * *
Deusex Ion_storm 1.112_fm 1.112_fm
Nerf_arena_blast Nerf_arena_blast 1.2 1.2
Mobile_forces Rage_software 20000.0 20000.0
Wheel_of_time Robert_jordan 333.0b 333.0b
Postal_2 Running_with_scissors 1337 1337

References